package com.lutao.cloud.auth.sso.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * {"ORG_ID":"448a86ecaae444de9c8f69829f0412e5",
 * "ORG_NAME":"危化品经营安全监管处",
 * "ORG_NAME_SHORT":"危化品经营安全监管处",
 * "ORG_FULL_NAME":"应急管理部危险化学品安全监督管理二司危化品经营安全监管处",
 * "ORG_NO":"01000000000011006",
 * "SHOW_ORDER":"01000000000011006",
 * "PARENT_ORG_NO":"01000000000011000",
 * "UPDATE_TIME":"2024-06-21T11:44:20.769Z",
 * "PARENT_ID":"c930a474bb5e4cb69efc4959d6172697",
 * "SHOW_ORDER_FULL":"01000000000000000.0.01000000000011000.1",
 * "ORG_FULL_PATH":"01000000000000000.01000000000000000.01000000000011000.01000000000011006",
 * "IS_NORMAL":10,"STATUS":2000,"UUM_SYN_ORG_ID":"448a86ecaae444de9c8f69829f0412e5",
 * "PARENTFULL_NAME":"应急管理部危险化学品安全监督管理二司",
 * "ORG_NAME_PINYIN":"whpjyaqjgc",
 * "OLD_ORG_NO":"01000000000011006",
 * "REMARK":"1"}
 */
@Data
public class SSOOrgInfo {

    /**
     * 机构ID
     * 机构在统一身份管理系统内唯一标识，全生命周期内保持不变。
     * 应用系统获取机构标识后，需本地保留，以便跟踪机构的全生命周期变化
     */
    @JsonProperty("ORG_ID")
    private String orgId;

    /**
     * 机构名称
     */
    @JsonProperty("ORG_NAME")
    private String orgName;

    /**
     * 机构简称
     */
    @JsonProperty("ORG_NAME_SHORT")
    private String orgNameShort;

    /**
     * 机构全称
     */
    @JsonProperty("ORG_FULL_NAME")
    private String orgFullName;

    /**
     * 机构编码
     */
    @JsonProperty("ORG_NO")
    private String orgNo;

    /**
     * 上级机构ID
     */
    @JsonProperty("PARENT_ID")
    private String parentId;

    /**
     * 上级机构编码
     */
    @JsonProperty("PARENT_ORG_NO")
    private String parentOrgNo;

    /**
     * 显示顺序
     */
    @JsonProperty("SHOW_ORDER")
    private String showOrder;

    /**
     * 状态
     */
    @JsonProperty("STATUS")
    private Integer status;

    /**
     * 是否正式部门
     */
    @JsonProperty("IS_NORMAL")
    private String isNormal;

    /**
     * 更新时间
     */
    @JsonProperty("UPDATE_TIM")
    private String updateTime;
}