

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.lutao.annotate.Validation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 变更审批
 *
 * @author guoyc
 * @date 2023-07-20 10:57:59
 */
@Data
@TableName("change_info_review")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "变更审批")
public class ChangeInfoReview extends Model<ChangeInfoReview> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 原始id
     */
    @ApiModelProperty(value="原始id")
    @Validation(message = "change_info_review表{id}不能为空")
    private String originId;

    /**
     * 设施名称
     */
    @ApiModelProperty(value="设施名称")
    private String facilityName;

    @ApiModelProperty(value = "变更信息id")
    @Validation(message = "change_info_review表{change_id}不能为空")
    private String changeId;

    /**
     * 审批人名字
     */
    @ApiModelProperty(value="审批人名字")
    @Validation(message = "change_info_review表{approval_person_name}不能为空")
    private String approvalPersonName;

    /**
     * 审批时间
     */
    @ApiModelProperty(value="审批时间")
    @Validation(message = "change_info_review表{approval_time}不能为空")
    private LocalDateTime approvalTime;

    /**
     * 审批流程级别;"变夏负责人：1,平台安全监督：2,平台总监：3,生产设施总监：4,作业公司岗位经理：5,作公司安全经理：6,作业公司负责人：7,分/子公司生产部：8,专项评估审查小组：9,分/子公司主管领导：10,开发生产部：11"
     */
    @ApiModelProperty(value="审批流程级别;变夏负责人：1,平台安全监督：2,平台总监：3,生产设施总监：4,作业公司岗位经理：5,作公司安全经理：6,作业公司负责人：7,分/子公司生产部：8,专项评估审查小组：9,分/子公司主管领导：10,开发生产部：11")
    private Integer approvalLevel;

    /**
     * 审批结果;通过：0  ,1不通过
     */
    @ApiModelProperty(value="审批结果;通过：0  ,1不通过")
    private Integer approvalResult;

    /**
     * 审批意见
     */
    @ApiModelProperty(value="审批意见")
    @Validation(message = "change_info_review表{approval_view}不能为空")
    private String approvalView;

    /**
     * 系统平台id
     */
    @ApiModelProperty(value="系统平台id")
    private String pfId;

    /**
     * 应用id
     */
    @ApiModelProperty(value="应用id")
    private String appId;

    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    @Validation(message = "change_info_review表{platform_code}不能为空")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;

    /**
     * 平台id
     */
    @ApiModelProperty(value="平台id")
    private String platformId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(value="创建人姓名")
    private String createBy;

    /**
     * 修改时间
     */
    @ApiModelProperty(value="修改时间")
    private LocalDateTime updateDate;

    /**
     * 修改人
     */
    @ApiModelProperty(value="修改人")
    private String updateBy;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

}
