package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 收集日志
 *
 * @author yx
 * @date 2023/08/21
 */
@ApiModel(value = "收集日志")
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("collect_log")
public class CollectLog extends Model<CollectLog> {
    private static final long serialVersionUID = -2772334409501681635L;

    @TableId
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "请求id")
    private String requestId;

    @ApiModelProperty(value = "油商id")
    private String appId;

    @ApiModelProperty(value = "表名称")
    private String tableName;

    @ApiModelProperty(value = "命令")
    private String command;

    @ApiModelProperty(value = "数据")
    private String data;

    @ApiModelProperty(value = "收集数据量")
    private Integer collectNumber;

    @ApiModelProperty(value = "消费数据量")
    private Integer consumeNumber;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

}
