

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.lutao.annotate.Validation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 应急预案备案信息数据
 *
 * @author guoyc
 * @date 2023-07-20 10:57:59
 */
@Data
@TableName("emergency_record")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "应急预案备案信息数据")
public class EmergencyRecord extends Model<EmergencyRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 原始id
     */
    @ApiModelProperty(value="原始id")
    @Validation(message = "emergency_record表{id}不能为空")
    private String originId;

    /**
     * 备案日期
     */
    @ApiModelProperty(value="备案日期")
    @Validation(message = "emergency_record表{record_date}不能为空")
    private LocalDateTime recordDate;

    /**
     * 下次备案时间
     */
    @ApiModelProperty(value="下次备案时间")
    //@Validation(message = "emergency_record表{nextrecord_date}不能为空")
    private LocalDateTime nextrecordDate;

    /**
     * 备案编号
     */
    @ApiModelProperty(value="备案编号")
    @Validation(message = "emergency_record表{record_code}不能为空")
    private String recordCode;

    /**
     * 备案机关
     */
    @ApiModelProperty(value="备案机关")
    @Validation(message = "emergency_record表{personnel_lifeboat_quantity}不能为空")
    private String personnelLifeboatQuantity;

    /**
     * 应急预案附件
     */
    @ApiModelProperty(value="应急预案附件")
    private String emergencyplanFile;

    /**
     * 系统平台id
     */
    @ApiModelProperty(value="系统平台id")
    private String pfId;

    /**
     * 应用id
     */
    @ApiModelProperty(value="应用id")
    private String appId;

    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    @Validation(message = "emergency_record表{platform_code}不能为空")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;

    /**
     * 平台id
     */
    @ApiModelProperty(value="平台id")
    private String platformId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(value="创建人姓名")
    private String createBy;

    /**
     * 修改时间
     */
    @ApiModelProperty(value="修改时间")
    private LocalDateTime updateDate;

    /**
     * 修改人
     */
    @ApiModelProperty(value="修改人")
    private String updateBy;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
