

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 设备类型
 *
 * @author guoyc
 * @date 2023-07-20 10:58:39
 */
@Data
@TableName("equipment_type")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "设备类型")
public class EquipmentType extends Model<EquipmentType> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 类型名称
     */
    @ApiModelProperty(value="类型名称")
    private String typeName;

    /**
     * 类型编码
     */
    @ApiModelProperty(value="类型编码")
    private String typeCode;

    /**
     * 删除标志
     */
    @ApiModelProperty(value="删除标志")
    private Integer delFlag;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
