

package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.lutao.annotate.Validation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 有毒有害气体感知监测信息
 *
 * @author guoyc
 * @date 2023-07-20 10:56:48
 */
@Data
@TableName("perception_monitor_hazardous_gas_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "有毒有害气体感知监测信息")
public class PerceptionMonitorHazardousGasInfo extends Model<PerceptionMonitorHazardousGasInfo> {


    private static final long serialVersionUID = 8068564918439135754L;

    /**
     * 表名
     */
    public static final String TABLE_NAME = "perception_monitor_hazardous_gas_info";

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 系统平台id
     */
    @ApiModelProperty(value="系统平台id")
    private String pfId;

    /**
     * 应用id
     */
    @ApiModelProperty(value="应用id")
    private String appId;

    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    @Validation(message = "perception_monitor_hazardous_gas_info表{platform_code}不能为空")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;

    /**
     * 平台id
     */
    @ApiModelProperty(value="平台id")
    private String platformId;

    /**
     * 应用对接方设备id
     */
    @ApiModelProperty(value="应用对接方设备id")
    private String equipId;

    /**
     * 设备位号
     */
    @ApiModelProperty(value="设备位号")
    private String equipCode;

    @ApiModelProperty(value = "设备名称")
    private String equipName;

    @ApiModelProperty(value="设施名称")
    private String facilityName;

    @ApiModelProperty(value = "设施编码")
    private String facilityCode;

    /**
     * 应用对接方指标id
     */
    @ApiModelProperty(value="应用对接方指标id")
    @Validation(message = "perception_monitor_hazardous_gas_info表{tag_id}不能为空")
    private String tagId;

    /**
     * 指标编码
     */
    @ApiModelProperty(value="指标编码")
    @Validation(message = "perception_monitor_hazardous_gas_info表{tag_code}不能为空")
    private String tagCode;

    @ApiModelProperty(value = "参数名称")
    @Validation(message = "perception_monitor_hazardous_gas_info表{tag_name}不能为空")
    private String tagName;

    /**
     * 实时值
     */
    @ApiModelProperty(value="实时值")
    @Validation(message = "perception_monitor_hazardous_gas_info表{rt_value}不能为空")
    private Double rtValue;

    /**
     * 采集时间
     */
    @ApiModelProperty(value="采集时间")
    @Validation(message = "perception_monitor_hazardous_gas_info表{collect_time}不能为空")
    private LocalDateTime collectTime;

    /**
     * 最后更新时间
     */
    @ApiModelProperty(value="最后更新时间")
    @Validation(message = "perception_monitor_hazardous_gas_info表{last_update_time}不能为空")
    private LocalDateTime lastUpdateTime;

    /**
     * 报警状态 0 报警；1 消警；
     */
    @ApiModelProperty(value="报警状态 0 报警；1 消警；")
    private String alarmState;

    /**
     * 报警类型 1 高报；2 高高报；
     */
    @ApiModelProperty(value="报警类型 1 高报；2 高高报；")
    private String alarmType;

    @ApiModelProperty(value = "数据收集时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
}
