package com.lutao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName("security_risk_assessment_summary")
@ApiModel(value = "SecurityRiskAssessmentSummary", description = "安全风险评估汇总")
public class SecurityRiskAssessmentSummary extends Model<SecurityRiskAssessmentSummary> {
    private static final long serialVersionUID = -4039675304896279115L;

    /**
     *   `platform_code` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
     *   `evaluation_year` varchar(4) COLLATE utf8mb4_general_ci DEFAULT NULL,
     *   `evaluation_object_type` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
     *   `evaluation_code` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
     *   `total_deduction` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
     *   `evaluation_type` int DEFAULT NULL,
     *   `score` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
     *   `risk_rank` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
     *   `remediation_requirements` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
     *   `platform_type` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL,
     *   `app_id` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL
     */
    @ApiModelProperty(value="平台编码")
    private String platformCode;

    @ApiModelProperty(value="评估年份")
    private String evaluationYear;

    @ApiModelProperty(value="评估对象类型 1.固定平台，2.钻井平台，3.浮式生产储油装置")
    private String evaluationObjectType;

    @ApiModelProperty(value="评估编码")
    private String evaluationCode;

    @ApiModelProperty(value="总扣分数")
    private String totalDeduction;

    @ApiModelProperty(value = "评价类型，1.深评，2.自评")
    private String evaluationType;

    @ApiModelProperty(value="得分")
    private String score;

    @ApiModelProperty(value="风险等级")
    private String riskRank;

    @ApiModelProperty(value="整治要求：001高风险平台-全面停产整改\\r\\n002较高风险平台-局部停产整改\\r\\n003中风险平台-限期整改\\r\\n004低风险平台-自行制定计划，落实整改")
    private String remediationRequirements;

    @ApiModelProperty(value="平台类型")
    private String platformType;

    @ApiModelProperty(value="应用id")
    private String appId;

    @ApiModelProperty(value = "原始id")
    private String originId;

}
