package com.lutao.cloud.admin.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

@Data
public class SysCompanyDTO implements Serializable{

    private static final long serialVersionUID = 2324205828801208198L;

    /**
     * 公司简介
     */
    @ApiModelProperty(value="公司简介")
    private String companyIntro;

    /**
     * 公司区域
     */
    @ApiModelProperty(value="公司区域编号")
    private String areaCode;



    /**
     * 成立时间
     */
    @ApiModelProperty(value="成立时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private LocalDate establishmentTime;

    /**
     * 企业类型
     */
    @ApiModelProperty(value="企业类型")
    private String companyType;

    /**
     * 法人代表
     */
    @ApiModelProperty(value="法人代表")
    private String legalPerson;

    /**
     * 安全负责人
     */
    @ApiModelProperty(value="安全负责人")
    private String safeDirector;

    /**
     * 安全负责人电话
     */
    @ApiModelProperty(value="安全负责人电话")
    private String safeDirectorPhone;

    /**
     * 经济分类
     */
    @ApiModelProperty(value="经济分类")
    private String economicType;

    /**
     * 企业规模
     */
    @ApiModelProperty(value="企业规模")
    private String companyScale;

    /**
     * 职工人数
     */
    @ApiModelProperty(value="职工人数")
    private Integer staffCount;

    /**
     * 领域id
     */
    @ApiModelProperty(value="领域id")
    private Integer domainId;

    /**
     * 规模id
     */
    @ApiModelProperty(value="规模id")
    private Integer scaleId;

    /**
     * 行业id
     */
    @ApiModelProperty(value="行业id")
    private Integer industryId;


}
