package com.lutao.cloud.oil.pojo.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@TableName("video_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "视频信息")
public class VideoInfo extends Model<VideoInfo> {

    private static final long serialVersionUID = 905369234958881052L;

    @TableId
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 企业编号
     */
    @ApiModelProperty(value="企业编号")
    private String companyCode;

    /**
     * 企业名称
     */
    @ApiModelProperty(value="企业名称")
    @JsonProperty(value = "")
    private String companyName;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "编码")
    private String indexCode;

    @ApiModelProperty(value = "父编码")
    private String parentIndexCode;

    @ApiModelProperty(value = "视频编码")
    private String cameraIndexCode;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

}
