package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "变更情况")
public class ChangeInfoVO implements Serializable {
    private static final long serialVersionUID = -584739052588765835L;

    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "设施名称")
    private String facilityName;

    @ApiModelProperty(value = "所在区域/装置编码")
    private String positionCode;

    @ApiModelProperty(value = "申请人名字")
    private String applyPersonName;

    @ApiModelProperty(value = "申请日期")
    private LocalDate applyTime;

    @ApiModelProperty(value = "变更原因")
    private String changeReason;

    @ApiModelProperty(value = "工作范围")
    private String workLimit;

    @ApiModelProperty(value = "变更类型,永久变更：1 临时变更：2")
    private Integer changeType;

    @ApiModelProperty(value = "紧急变更,0否：1 是")
    private Integer urgentChange;

    @ApiModelProperty(value = "紧急变更时间,若Y紧急变更，则该字段必填")
    private LocalDateTime urgentChangeTime;

    @ApiModelProperty(value = "变更等级,C类变更：1	,B类变更：2,A类变更：3")
    private Integer changeLevel;

    @ApiModelProperty(value = "变更涉及单位编码")
    private String changeDepartCode;

    @ApiModelProperty(value = "变更过程;变更申请：1;变更审批：2;变更实施：3;变更关闭：4;变更取消：5")
    private Integer changeProcess;

    @ApiModelProperty(value = "变更过程状态;未开始：0;进行中：1;已结束：2")
    private Integer changeProcessStatus;

    @ApiModelProperty(value = "油商名称")
    private String appName;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

}
