package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 检测报警VO
 *
 * @author yx
 * @date 2023/07/26
 */
@ApiModel(value = "探测报警VO")
@Data
@Accessors(chain = true)
public class DetectionAlarmVO implements Serializable {
    private static final long serialVersionUID = 5690900268884602149L;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "设备位号")
    private String equipCode;

    @ApiModelProperty(value = "报警状态：0 报警；1 消警")
    private Integer alarmState;

    @ApiModelProperty(value = "报警类型：1 高报；2 高高报；3 低报；4 低低报")
    private Integer alarmType;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    @ApiModelProperty(value = "采集时间")
    private LocalDateTime collectTime;

    @ApiModelProperty(value = "报警值")
    private Double alarmValue;

    @ApiModelProperty(value = "报警时长")
    private String alarmDuration;

    @ApiModelProperty(value = "单位")
    private String limits;
}
