package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 关键设备工况状态监测报警
 *
 * @author yx
 * @date 2023/08/02
 */
@ApiModel(value = "关键设备工况状态监测报警")
@Data
@Accessors(chain = true)
public class EquipmentWorkStatusAlarmVO implements Serializable {
    private static final long serialVersionUID = -4552552131678691115L;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "设施设备")
    private String equipmentName;

    @ApiModelProperty(value = "点位")
    private String point;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "关断等级,1.未关断，2.单元关断，3.生产关断，4.火气关断，5.平台关断")
    private String toLevle;

    @ApiModelProperty(value = "运行状态 0关停；1 启动；")
    private Integer workStatus;

    @ApiModelProperty(value = "变更原因 001火灾报警，002可燃气体报警，003有毒有害气体泄露，004工艺参数报警")
    private String changeReason;

    private LocalDateTime collectTime;

    @ApiModelProperty(value = "描述")
    private String desc;
}
