package com.lutao.cloud.oil.pojo.vo;

import com.lutao.cloud.common.core.sensitive.Sensitive;
import com.lutao.cloud.common.core.sensitive.SensitiveTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 出海人员详细信息
 *
 * @author yx
 * @date 2023/07/25
 */
@ApiModel(value = "出海人员详细信息")
@Data
@Accessors(chain = true)
public class PersonGoSeaDetailInformationVO implements Serializable {
    private static final long serialVersionUID = 1412149463022253842L;

    @ApiModelProperty(value = "姓名")
    private String personName;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "五四小证编号")
    private String certificateNumber;

    @ApiModelProperty(value = "登平台日期")
    private LocalDate onPlatformDate;

    @ApiModelProperty(value = "电话号码")
    @Sensitive(type = SensitiveTypeEnum.MOBILE_PHONE)
    private String tel;


}
