package com.lutao.cloud.oil.pojo.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 出海人员分类统计按照日期统计
 *
 * @author yx
 * @date 2024/12/25
 */
@ApiModel(value = "出海人员分类统计按照日期统计")
@Data
@Accessors(chain = true)
public class PersonGoSeaStatusGroupByDateVO implements Serializable {


    private static final long serialVersionUID = -2602731917227676552L;


    @ApiModelProperty(value = "当日在平台内部人员")
    private Long inPlatformTodayInternalNumber;

    @ApiModelProperty(value = "当日在平台承包商人员")
    private Long inPlatformTodayContractorNumber;

    @ApiModelProperty(value = "当日在平台其他人员")
    private Long inPlatformTodayOtherNumber;

    @ApiModelProperty(value = "当日登平台内部人员数量")
    private Long onPlatformTodayInternalNumber;

    @ApiModelProperty(value = "当日登平台承包商人员")
    private Long onPlatformTodayContractorNumber;

    @ApiModelProperty(value = "当日登平台其他人员")
    private Long onPlatformTodayOtherNumber;

    @ApiModelProperty(value = "当日离平台内部人员")
    private Long leavePlatformTodayInternalNumber;

    @ApiModelProperty(value = "当日离平台承包商人员")
    private Long leavePlatformTodayContractorNumber;

    @ApiModelProperty(value = "当日离平台其他人员")
    private Long leavePlatformTodayOtherNumber;

    private LocalDate date;
}
