package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 问题隐患整改情况VO
 *
 * @author yx
 * @date 2023/07/26
 */
@ApiModel(value = "问题隐患整改情况--深度评估VO")
@Data
@Accessors(chain = true)
public class ProblemRectifyStatusVO implements Serializable {
    private static final long serialVersionUID = -8855080381707030678L;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    /**
     * 设施名称
     */
    @ApiModelProperty(value="设施名称")
    private String facilityName;

    /**
     * 风险等级"001高风险平台、002较高风险平台、003中风险平台、004低风险平台 "
     */
    @ApiModelProperty(value="风险等级001高风险平台、002较高风险平台、003中风险平台、004低风险平台 ")
    private String riskRank;

    /**
     * 得分
     */
    @ApiModelProperty(value="得分")
    private Integer score;

    @ApiModelProperty(value="油商名称")
    private String appName;

    /**
     * 问题隐患项
     */
    @ApiModelProperty(value="问题隐患项")
    private String hiddenProblems;

    /**
     * 问题隐患整治状态;001待整治、002已整治
     */
    @ApiModelProperty(value="问题隐患整治状态;001待整治、002已整治")
    private String hiddenProblemsState;

    @ApiModelProperty(value = "评估编码")
    private String evaluationCode;




}
