package com.lutao.cloud.oil.pojo.vo;

import com.lutao.cloud.oil.pojo.param.ScreenVideoNumberOnlineVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 大屏视频图表VO
 *
 * @author yx
 * @date 2024/01/08
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "大屏视频图表VO")
public class ScreenDisplayVideoChartVO implements Serializable {
    private static final long serialVersionUID = 1248690972123366219L;

    /**
     * 视频接入率
     */
    @ApiModelProperty(value = "视频接入率")
    private String videoAccessRate;

    /**
     * 视频在线率
     */
    @ApiModelProperty(value = "视频在线率")
    private String videoOnlineRate;

    /**
     *
     */
    @ApiModelProperty(value = "视频路数在线率")
    private String videoRoadOnlineRate;

    /**
     * 视频数量树状图
     */
    @ApiModelProperty(value = "视频数量树状图")
    private List<ScreenVideoNumberVO> videoNumberChart;

    /**
     * 三家油商视频在线率
     */
    @ApiModelProperty(value = "三家油商设备在线数量")
    private List<ScreenVideoNumberOnlineVO> videoNumberOnlineChart;

    /**
     * 三家油商视频在线率
     */
    @ApiModelProperty(value = "三家油商视频在线率")
    private List<ScreenVideoNumberOnlineRateVO> videoOnlineRateChart;

    /**
     * 视频路数接入路数
     */
    @ApiModelProperty(value = "视频路数接入路数")
    private Integer videoRoadNumber;

    /**
     * 视频路数在线路数
     */
    @ApiModelProperty(value = "视频路数在线路数")
    private Integer videoRoadOnlineNumber;
}

