

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.param.ChangeSituationParam;
import com.lutao.cloud.oil.pojo.vo.ChangeInfoVO;
import com.lutao.entity.ChangeInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 变更信息
 *
 * @author guoyc
 * @date 2023-07-20 10:56:48
 */
@Mapper
public interface ChangeInfoMapper extends CloudBaseMapper<ChangeInfo> {

    /**
     * 获取变更情况列表
     *
     * @param page  第页
     * @param param param
     * @return {@link IPage}<{@link ChangeInfoVO}>
     */
    IPage<ChangeInfoVO> getChangeSituationList(Page page, @Param("param") ChangeSituationParam param);
}
