package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.core.util.MessageInfo;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.param.ProcessParametersTagVOParam;
import com.lutao.cloud.oil.pojo.vo.MonitorPointVO;
import com.lutao.cloud.oil.pojo.vo.ProcessParametersTagVO;
import com.lutao.entity.ProcessParameterTag;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProcessParameterTagMapper extends CloudBaseMapper<ProcessParameterTag> {
    /**
     * 获取工艺参数信息分页
     *
     * @param page  page
     * @param param param
     * @return {@link MessageInfo}<{@link IPage}<{@link ProcessParametersTagVO}>>
     */
    IPage<ProcessParametersTagVO> getProcessParamInfoPage(Page page, @Param("param") ProcessParametersTagVOParam param);

    List<MonitorPointVO> earlyWarningMonitoringPointStatistic(@Param("param") BaseParam param);

    /**
     * 选择计数与平台
     *
     * @param param 参数
     * @return {@link Long }
     * @author yx
     * @date 2024/10/24
     */

    Long selectCountWithPlatform(BaseParam param);
}
