package com.lutao.cloud.oil.mapper;

import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.vo.EquipTypeInspectVO;
import com.lutao.cloud.oil.pojo.vo.EquipmentTypePieVO;
import com.lutao.entity.ProfEquipmentInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProfEquipmentInfoMapper extends CloudBaseMapper<ProfEquipmentInfo> {

    /**
     * 设备分类饼状图
     *
     * @param param
     * @return {@link List}<{@link EquipmentTypePieVO}>
     */
    List<EquipmentTypePieVO> getEquipmentTypePie(@Param("param")BaseParam param);

    /**
     * 设备类型年检/定检分布
     *
     * @param param param
     * @param inspectType 检查类型
     * @return {@link List}<{@link EquipTypeInspectVO}>
     */
    List<EquipTypeInspectVO> getEquipTypeInpectList(@Param("param")BaseParam param,@Param("inspectType")Integer inspectType);
}
