package com.lutao.cloud.oil.mapper;

import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.ScreenVideoNumberOnlineVO;
import com.lutao.cloud.oil.pojo.vo.ScreenVideoNumberVO;
import com.lutao.cloud.oil.pojo.vo.VideoEquipmentInfoBaseVO;
import com.lutao.cloud.oil.pojo.vo.VideoEquipmentInfoTreeVO;
import com.lutao.entity.VideoEquipmentInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface VideoEquipmentInfoMapper extends CloudBaseMapper<VideoEquipmentInfo> {
    /**
     * 查询视频设备信息树
     *
     * @return {@link List}<{@link VideoEquipmentInfoTreeVO}>
     */
    List<VideoEquipmentInfoBaseVO> queryVideoEquipmentInfoTree();

    /**
     * 查询视频设备数量
     *
     * @return {@link List}<{@link ScreenVideoNumberVO}>
     */
    List<ScreenVideoNumberVO> queryVideoNumberChart();

    /**
     * 查询三家油商设备在线数量
     *
     * @return {@link List}<{@link ScreenVideoNumberOnlineVO}>
     */
    List<ScreenVideoNumberOnlineVO> queryVideoNumberOnlineChart();
}
