package com.lutao.cloud.oil.service;

import com.lutao.cloud.common.core.util.MessageInfo;
import com.lutao.entity.*;

import java.util.List;

/**
 * 动态数据报警服务
 *
 * @author yx
 * @date 2023/08/04
 */
public interface IBusinessDynamicDataAlarmService {

    /**
     * 气象监测信息动态数据
     *
     * @return {@link MessageInfo}<{@link List}<{@link AtmosphereMonitorInfo}>>
     */
    MessageInfo<List<AtmosphereMonitorInfo>> queryAtmosphereMonitorInfo();

    /**
     * 感知监测信息
     *
     * @return {@link MessageInfo}<{@link List}<{@link PerceptionMonitorInfo}>>
     */
    MessageInfo<List<PerceptionMonitorInfo>> queryPerceptionMonitorInfo();

    /**
     * 火灾感知监测信息
     *
     * @return {@link MessageInfo}<{@link List}<{@link PerceptionMonitorFireInfo}>>
     */
    MessageInfo<List<PerceptionMonitorFireInfo>> queryPerceptionMonitorFireInfo();

    /**
     * 可燃气体感知监测信息
     *
     * @return {@link MessageInfo}<{@link List}<{@link PerceptionMonitorGasInfo}>>
     */
    MessageInfo<List<PerceptionMonitorGasInfo>> queryPerceptionMonitorGasInfo();

    /**
     * 有毒有害气体感知监测信息
     *
     * @return {@link MessageInfo}<{@link List}<{@link PerceptionMonitorHazardousGasInfo}>>
     */
    MessageInfo<List<PerceptionMonitorHazardousGasInfo>> queryPerceptionMonitorHazardousGasInfo();
}
