package com.lutao.cloud.oil.service;

import com.lutao.cloud.common.core.util.MessageInfo;
import com.lutao.cloud.oil.pojo.vo.AppInfoVO;
import com.lutao.cloud.oil.pojo.vo.PlatformInfoVO;

import java.util.List;

public interface IBusinessPlatformInfoService {

    /**
     * 搜索平台列表
     *
     * @param platformName 平台名称
     * @return {@link MessageInfo}<{@link List}<{@link PlatformInfoVO}>>
     */
    MessageInfo<List<PlatformInfoVO>> searchPlatformList(String platformName);

    /**
     * 油商列表
     *
     * @return {@link MessageInfo}<{@link List}<{@link AppInfoVO}>>
     */
    MessageInfo<List<AppInfoVO>> appInfoList();

    /**
     * 平台列表
     *
     * @param appId 应用程序id
     * @return {@link MessageInfo}<{@link List}<{@link PlatformInfoVO}>>
     */
    MessageInfo<List<PlatformInfoVO>> platformList(String appId);
}
