package com.lutao.cloud.oil.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lutao.cloud.common.core.util.MessageInfo;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.vo.VideoEquipmentInfoTreeVO;
import com.lutao.cloud.oil.pojo.vo.VideoInfoNode;
import com.lutao.entity.VideoEquipmentInfo;

import java.util.List;

public interface VideoEquipmentInfoService extends IService<VideoEquipmentInfo> {
    /**
     * 查询视频设备信息树
     *
     * @return {@link MessageInfo}<{@link List}<{@link VideoEquipmentInfoTreeVO}>>
     */
    MessageInfo<List<VideoEquipmentInfoTreeVO>> queryVideoEquipmentInfoTree();

    MessageInfo<List<VideoEquipmentInfoTreeVO>> queryVideoEquipmentInfoTreeV2();

    /**
     * 查询视频设备信息树-New
     *
     * @param param param
     * @return {@link MessageInfo}<{@link List}<{@link VideoInfoNode}>>
     * @author yx
     * @date 2024/12/31
     */
    MessageInfo<List<VideoInfoNode>> queryVideoEquipmentInfoTreeNew(BaseParam param);


    MessageInfo getVideoUrl(String videoCode);

}
