package com.lutao.cloud.oil.typhoon;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @description: 气象数据解析系统_台风信息列表
 * @author: vincent.zhao
 * @create: 2024-07-25 14:45
 **/
@Data
public class TyphoonFindBhList implements Serializable {

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime = null;

    /**
     * 台风编号
     */
    private String tfbh;
    /**
     * 台风原始编号
     */
    private String ident;
    /**
     * 开始时间
     */
    private String begintime;
    /**
     * endtime
     */
    private String endtime;
    /**
     * 中文名
     */
    private String cname;
    /**
     * 英文名
     */
    private String ename;
    /**
     * 是否在编：0 不在编；1 在编；
     */
    private String iscurrent;
    /**
     * 登陆
     */
    private String land;
    /**
     * 年份
     */
    private String year;
    /**
     * 当前位置
     */
    private String location;
    /**
     * 预测趋势
     */
    private String completion;
    /**
     * 范围
     */
    private String polygon;
    /**
     * 影响城市
     */
    private String citys;

}
