package com.lutao.cloud.admin;

import com.lutao.cloud.common.security.annotation.EnableCloudResourceServer;
import com.lutao.cloud.common.swagger.annotation.EnableCloudSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**

 * @date 2018年06月21日
 * <p>
 * 用户统一管理系统
 */
@EnableCloudSwagger2
@EnableFeignClients("com.lutao.cloud.admin.api")
@EnableCloudResourceServer
@EnableDiscoveryClient
@SpringBootApplication
//@EnableScheduling
//@EnableCloudXxlJob
@EnableConfigurationProperties(value = {com.lutao.cloud.admin.config.SysnDataProperties.class})
public class CloudAdminApplication{

	public static void main(String[] args){
		SpringApplication.run(CloudAdminApplication.class, args);
	}

}
