Swagger API（1.0.5）

### 登录

Header中带上Authorization:Bearer${token}

Token根据登录的账号获取

[http://10.210.160.33:9999/auth/oauth/token?grant\_type=password](http://10.210.48.138:9999/auth/oauth/token?grant_type=password)

header

    header要求

```
` ``VERSION`` ``Content-Type: application/x-www-form-urlencoded`` ``Authorization: Basic d2ViOndlYg==`
```

参数

| **参数** | **类型** | **是否必填** | **释义** |
| --- | --- | --- | --- |
| grant_type | string | 是 | 登录方式 |
| --- | --- | --- | --- |

formdata

| **参数** | **类型** | **是否必填** | **释义** |
| --- | --- | --- | --- |
| username | string | 是 | 账号 |
| --- | --- | --- | --- |
| password | string | 是 | 密码 |

参数加密方式

Authorization: Basic xxxxxx

```
`xxxxxx````为加密数据，平台会对每种客户端都分配一个密钥。``在没有登录之前，使用密钥进行加密，并替换``xxxxxx`部分；`在登录之后``xxxxxx`替换为登录接口返回的`token`，`Authorization: token_type token``---------------------------------------------``加密方式``: `暂时使用直接加密后的参数`Authorization: Basic d2ViOndlYg==`
```

password

```
`对``password`进行`AES`对称加密，采用`CFB`模式`ex:`` ``AES aes = new AES(Mode.CFB, Padding.NoPadding,`` ``new SecretKeySpec("sdjurli%*iw18s^1".getBytes(StandardCharsets.UTF_8), "AES"),`` ``new IvParameterSpec("sdjurli%*iw18s^1".getBytes(StandardCharsets.UTF_8)));`` ``System.out.println(aes.encryptBase64("test123".getBytes(StandardCharsets.UTF_8)));`` ````输出结果是````2iIrtaZRSw==` ```'sdjurli%*iw18s^1'``是密钥，对``test123`进行加密
```

request example

```
`method: POST ``uri:http://cloud-gateway:9999/auth/oauth/token?grant_type=password``Content-Type: application/x-www-form-urlencoded``Authorization: Basic d2ViOndlYg==``username=admin&password=2iIrtaZRSw==`
```

### 人员资质

#### 7）人员查询

http://10.210.160.33:9999/pubulcser/personnel/info/manager/list

| **管理员查询** | |
| --- | ----|
| 接口名称 | 管理员查询 |
| 接口描述 | 管理员查询 |
| URL | /personnel/info/manager/list |
| 请求方式 | get |
| 请求类型 | |
| 返回类型 | \*/\* |

| **参数名** | **数据类型** | **参数类型** | **是否必填** | **说明** |
| --- | ----| ----| ----| ----|
| 1.current | integer(int32) | query | N | 当前页 |
| 2.reviewStatus | integer(int32) | query | N | 审核状态 0待审核 1审核通过 2审核不通过 |
| 3.searchKey | string | query | N | 搜索关键字 |
| 4.size | integer(int32) | query | N | 每页数量 |

| **状态码** | **描述** | **说明** |
| ----| ----| ----|
| 200 | OK | 响应信息主体«IPage«三方人员»» |
| 401 | Unauthorized | |
| 403 | Forbidden | |
| 404 | Not Found | |

| **返回属性名** | **类型** | **说明** |
| ----| ----| ----|
| 1.code | integer(int32) | 返回标记：成功标记=0，失败标记=1 |
| 2.data | object:IPage«三方人员» | 数据 |
| 2.1.current | integer(int64) | |
| 2.2.pages | integer(int64) | |
| 2.3.records | array:三方人员 | |
| 2.3.1.cardCode | string | 证件号码 |
| 2.3.2.cardType | string | 证件类型 |
| 2.3.3.createBy | integer(int32) | 创建人id |
| 2.3.4.createTime | string(date-time) | 创建时间 |
| 2.3.5.createUser | string | 创建人名字 |
| 2.3.6.dataFrom | integer(int32) | 1 后台添加 2三方对接 3导入 |
| 2.3.7.dataFromName | string | 来源名称 |
| 2.3.8.delFlag | integer(int32) | 0 正常 1 删除 |
| 2.3.9.deptId | integer(int32) | 部门id |
| 2.3.10.effectiveEndTime | string(date) | 有效结束时间 |
| 2.3.11.effectiveStartTime | string(date) | 有效开始时间 |
| 2.3.12.id | integer(int32) | 人员id |
| 2.3.13.issuingUnit | string | 发证机关 |
| 2.3.14.name | string | 真实姓名 |
| 2.3.15.outId | string | 外部id |
| 2.3.16.qualificationCertificate | string | 资质证书 |
| 2.3.17.qualificationType | string | 资质类型 |
| 2.3.18.reviewDate | string(date) | 复审日期 |
| 2.3.19.reviewStatus | integer(int32) | 审核状态 0待审核 1审核通过 2审核不通过 |
| 2.3.20.sex | integer(int32) | 1 男 2女 |
| 2.3.21.unitType | string | 单位类型 |
| 2.3.22.updateBy | integer(int32) | 最后更改人id |
| 2.3.23.updateTime | string(date-time) | 最后更改时间 |
| 2.3.24.updateUser | string | 最后更改人姓名 |
| 2.4.size | integer(int64) | |
| 2.5.total | integer(int64) | |
| 3.msg | string | 返回信息 |

| **示例** | |
| ----| ----|
| **请求参数** | current=0&reviewStatus=0&searchKey=string&size=0 |

####返回值
~~~json
{
    "msg":"string",
    "code":0,
    "data":{
        "current":0,
        "pages":0,
        "records":[
            {
                "cardCode":"string",
                "cardType":"string",
                "createBy":0,
                "createTime":"2020/01/01 00:00:00",
                "createUser":"string",
                "dataFrom":0,
                "dataFromName":"string",
                "delFlag":0,
                "deptId":0,
                "effectiveEndTime":null,
                "effectiveStartTime":null,
                "id":0,
                "issuingUnit":"string",
                "name":"string",
                "outId":"string",
                "qualificationCertificate":"string",
                "qualificationType":"string",
                "reviewDate":null,
                "reviewStatus":0,
                "sex":0,
                "unitType":"string",
                "updateBy":0,
                "updateTime":"2020/01/01 00:00:00",
                "updateUser":"string"
            }
        ],
        "size":0,
        "total":0
    }
}
~~~
### 三方机构

#### 机构查询

http://10.210.160.33:9999/pubulcser/organization/info/manager/list

| **管理员查询列表** | --- |
| --- | --- |
| 接口名称 | 管理员查询列表 |
| 接口描述 | 管理员查询列表 |
| URL | /organization/info/manager/list |
| 请求方式 | get |
| 请求类型 | |
| 返回类型 | \*/\* |

| **参数名** | **数据类型** | **参数类型** | **是否必填** | **说明** |
| --- | --- | --- | --- | --- |
| 1.current | integer(int32) | query | N | 当前页 |
| 2.reviewStatus | integer(int32) | query | N | 审核状态 0待审核 1审核通过 2审核不通过 |
| 3.searchKey | string | query | N | 搜索关键字 |
| 4.size | integer(int32) | query | N | 每页数量 |

| **状态码** | **描述** | **说明** |
| --- | --- | --- |
| 200 | OK | 响应信息主体«IPage«三方机构»» |
| 401 | Unauthorized | |
| 403 | Forbidden | |
| 404 | Not Found | |

| **返回属性名** | **类型** | **说明** |
| --- | --- | --- |
| 1.code | integer(int32) | 返回标记：成功标记=0，失败标记=1 |
| 2.data | object:IPage«三方机构» | 数据 |
| 2.1.current | integer(int64) | |
| 2.2.pages | integer(int64) | |
| 2.3.records | array:三方机构 | |
| 2.3.1.areaCode | string | 注册地址编号 |
| 2.3.2.businessScope | string | 业务范围 |
| 2.3.3.certificateNo | string | 证书编号/工商号 |
| 2.3.4.createBy | integer(int32) | 创建人id |
| 2.3.5.createTime | string(date-time) | 创建时间 |
| 2.3.6.createUser | string | 创建人名字 |
| 2.3.7.dataFrom | integer(int32) | 1 后台添加 2三方对接 |
| 2.3.8.dataFromName | string | 数据来源名称 |
| 2.3.9.delFlag | integer(int32) | 0 正常 1 删除 |
| 2.3.10.deptId | integer(int32) | 部门id |
| 2.3.11.id | integer(int32) | 机构id |
| 2.3.12.issueDate | string(date) | 颁发日期 |
| 2.3.13.legalPerson | string | 法人 |
| 2.3.14.organizationName | string | 机构名称 |
| 2.3.15.registerAddress | string | 注册地址 |
| 2.3.16.reviewStatus | integer(int32) | 审核状态 0待审核 1审核通过 2审核不通过 |
| 2.3.17.updateBy | integer(int32) | 最后更改人id |
| 2.3.18.updateTime | string(date-time) | 最后更改时间 |
| 2.3.19.updateUser | string | 最后更改人姓名 |
| 2.3.20.validUntil | string(date) | 有效期至 |
| 2.4.size | integer(int64) | |
| 2.5.total | integer(int64) | |
| 3.msg | string | 返回信息 |

| **示例** | --- |
| --- | --- |
| **请求参数** | current=0&reviewStatus=0&searchKey=string&size=0 |

####返回值
~~~json
{
    "msg":"string",
    "code":0,
    "data":{
        "current":0,
        "pages":0,
        "records":[
            {
                "areaCode":"string",
                "businessScope":"string",
                "certificateNo":"string",
                "createBy":0,
                "createTime":"2020/01/01 00:00:00",
                "createUser":"string",
                "dataFrom":0,
                "dataFromName":"string",
                "delFlag":0,
                "deptId":0,
                "id":0,
                "issueDate":null,
                "legalPerson":"string",
                "organizationName":"string",
                "registerAddress":"string",
                "reviewStatus":0,
                "updateBy":0,
                "updateTime":"2020/01/01 00:00:00",
                "updateUser":"string",
                "validUntil":null
            }
        ],
        "size":0,
        "total":0
    }
}
~~~

### 文档查询

http://10.210.160.33:9999/document/doc/info/page

| **分页查询** |**分页查询** |
| --- |--- |
| 接口名称 | 分页查询 |
| 接口描述 | 分页查询 |
| URL | /doc/info/page |
| 请求方式 | get |
| 请求类型 | |

| **返回类型**    |--- |--- |--- |--- |
|---|--- |--- |--- |--- |
| **参数名**     | **数据类型** | **参数类型** | **是否必填** | **说明** |
| current     | integer(int32) | query | N | 当前页 |
| searchKey   | string | query | N | 搜索关键字 |
| size        | integer(int32) | query | N | 每页数量 |

| **状态码**     | **描述** | **说明** |
|--- |--- |---|
| 200         | OK | 响应信息主体«IPage«DocInfoVO»» |
| 401         | Unauthorized | |
| 403         | Forbidden | |
| 404         | Not Found | |

| **返回属性名**   | **类型** | **说明** |
|--- |--- |---|
| 1.code      | integer(int32) | 返回标记：成功标记=0，失败标记=1 |
| 2.data      | object:IPage«DocInfoVO» | 数据 |
| 2.1.current | integer(int64) | |
| 2.2.pages   | integer(int64) | |
| 2.3.records | array:DocInfoVO | |
| 2.3.1.areaCode | string | 区域code |
| 2.3.2.attList | array:DocAtt | 文档附件 |
| 2.3.2.1.attName | string | 附件名字 |
| 2.3.2.2.attUrl | string | 文档附件地址 |
| 2.3.2.3.docId | integer(int32) | 文档id |
| 2.3.2.4.fileSize | string | 文件大小 |
| 2.3.2.5.id  | integer(int32) | 文档附件自增 |
| 2.3.3.company | string | 单位 |
| 2.3.4.createBy | integer(int32) | 创建人id |
| 2.3.5.createTime | string(date-time) | 创建时间 |
| 2.3.6.createUser | string | 创建人名字 |
| 2.3.7.delFlag | integer(int32) | 0 正常 1 删除 |
| 2.3.8.deptId | integer(int32) | 部门id |
| 2.3.9.docCover | string | 文档封面 |
| 2.3.10.docFrom | integer(int32) | 投稿id 创建为0 |
| 2.3.11.docKeywords | string | 文档关键字 |
| 2.3.12.docScope | string | 文档范围 |
| 2.3.13.docSummary | string | 文档摘要 |
| 2.3.14.docTitle | string | 文档标题 |
| 2.3.15.docType | integer(int32) | 文档类型 |
| 2.3.16.downCount | integer(int32) | 下载数量 |
| 2.3.17.id   | integer(int32) | 文档自增主键 |
| 2.3.18.outUrl | string | 文档外链 |
| 2.3.19.praiseCount | integer(int32) | 点赞数量 |
| 2.3.20.showCount | integer(int32) | 浏览数量 |
| 2.3.21.typeName | string | 类型名称 |
| 2.3.22.updateBy | integer(int32) | 最后更改人id |
| 2.3.23.updateTime | string(date-time) | 最后更改时间 |
| 2.3.24.updateUser | string | 最后更改人姓名 |
| 2.3.25.validTime | string(date) | 生效时间 |
| 2.4.size    | integer(int64) | |
| 2.5.total   | integer(int64) | |
| 3.msg       | string | 返回信息 |

| **示例**| ---                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
|--- |----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **请求参数**    | current=1&searchKey=string&size=20                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |

####返回值
~~~json
{
  "msg":"string",
  "code":0,
  "data":{
    "current":0,
    "pages":0,
    "records":[
      {
        "areaCode":"string",
        "attList":[
          {
            "attName":"string",
            "attUrl":"string",
            "docId":0,
            "fileSize":"string",
            "id":0
          }
        ],
        "company":"string",
        "createBy":0,
        "createTime":"2020/01/01 00:00:00",
        "createUser":"string",
        "delFlag":0,
        "deptId":0,
        "docCover":"string",
        "docFrom":0,
        "docKeywords":"string",
        "docScope":"string",
        "docSummary":"string",
        "docTitle":"string",
        "docType":0,
        "downCount":0,
        "id":0,
        "outUrl":"string",
        "praiseCount":0,
        "showCount":0,
        "typeName":"string",
        "updateBy":0,
        "updateTime":"2020/01/01 00:00:00",
        "updateUser":"string",
        "validTime":null
      }
    ],
    "size":0,
    "total":0
  }
}
~~~
####